%define python python2

Summary: Python bindings for ORBit2.
Name: orbit-python
Version: 1.99.0
Release: 4
Copyright: LGPL
Group: Development/Languages
Source: orbit-python-%{version}.tar.gz
BuildRoot: /var/tmp/python-orbit-root
Requires: ORBit2 >= 2.3.103
Requires: linc >= 0.1.6
Requires: libIDL >= 0.7.1
Requires: glib2 >= 1.3.10
Requires: %{python} >= 2.2
Buildrequires: %{python}-devel >= 2.2
Buildrequires: ORBit2-devel >= 2.3.103
Buildrequires: linc-devel >= 0.1.6
Buildrequires: libIDL-devel >= 0.7.1
Buildrequires: glib2-devel >= 1.3.10

%description
python-orbit is an extension module for python that gives you access
to the ORBit2 CORBA ORB.

%package devel
Summary: Files needed to build wrappers for ORBit2 addon libraries.
Group: Development/Languages

%description devel
This package contains files required to build wrappers for ORBit2 addon
libraries so that they interoperate with orbit-python.

%changelog
* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Feb 27 2002 Matt Wilson <msw@redhat.com>
- initial package

%prep
%setup -q
[ -x /usr/bin/python2.2 ] && export PYTHON=/usr/bin/python2.2
./configure --prefix=%{_prefix}

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%files
%defattr(755, root, root, 755)
%{_prefix}/lib/python?.?/site-packages/*.so

%doc AUTHORS NEWS README ChangeLog
%doc examples

%files devel
%defattr(755, root, root, 755)
%{_includedir}/orbit-python-2.0/*.h
%{_prefix}/lib/pkgconfig/orbit-python-2.0.pc
